<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EditaClienteJSONResponse StructType
 * @subpackage Structs
 */
class EditaClienteJSONResponse extends AbstractStructBase
{
    /**
     * The EditaClienteJSONResult
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $EditaClienteJSONResult;
    /**
     * The mensagem
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $mensagem;
    /**
     * The sucesso
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $sucesso;
    /**
     * Constructor method for EditaClienteJSONResponse
     * @uses EditaClienteJSONResponse::setEditaClienteJSONResult()
     * @uses EditaClienteJSONResponse::setMensagem()
     * @uses EditaClienteJSONResponse::setSucesso()
     * @param string $editaClienteJSONResult
     * @param string $mensagem
     * @param bool $sucesso
     */
    public function __construct($editaClienteJSONResult = null, $mensagem = null, $sucesso = null)
    {
        $this
            ->setEditaClienteJSONResult($editaClienteJSONResult)
            ->setMensagem($mensagem)
            ->setSucesso($sucesso);
    }
    /**
     * Get EditaClienteJSONResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEditaClienteJSONResult()
    {
        return isset($this->EditaClienteJSONResult) ? $this->EditaClienteJSONResult : null;
    }
    /**
     * Set EditaClienteJSONResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $editaClienteJSONResult
     * @return \StructType\EditaClienteJSONResponse
     */
    public function setEditaClienteJSONResult($editaClienteJSONResult = null)
    {
        // validation for constraint: string
        if (!is_null($editaClienteJSONResult) && !is_string($editaClienteJSONResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($editaClienteJSONResult)), __LINE__);
        }
        if (is_null($editaClienteJSONResult) || (is_array($editaClienteJSONResult) && empty($editaClienteJSONResult))) {
            unset($this->EditaClienteJSONResult);
        } else {
            $this->EditaClienteJSONResult = $editaClienteJSONResult;
        }
        return $this;
    }
    /**
     * Get mensagem value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getMensagem()
    {
        return isset($this->mensagem) ? $this->mensagem : null;
    }
    /**
     * Set mensagem value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $mensagem
     * @return \StructType\EditaClienteJSONResponse
     */
    public function setMensagem($mensagem = null)
    {
        // validation for constraint: string
        if (!is_null($mensagem) && !is_string($mensagem)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($mensagem)), __LINE__);
        }
        if (is_null($mensagem) || (is_array($mensagem) && empty($mensagem))) {
            unset($this->mensagem);
        } else {
            $this->mensagem = $mensagem;
        }
        return $this;
    }
    /**
     * Get sucesso value
     * @return bool|null
     */
    public function getSucesso()
    {
        return $this->sucesso;
    }
    /**
     * Set sucesso value
     * @param bool $sucesso
     * @return \StructType\EditaClienteJSONResponse
     */
    public function setSucesso($sucesso = null)
    {
        // validation for constraint: boolean
        if (!is_null($sucesso) && !is_bool($sucesso)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($sucesso)), __LINE__);
        }
        $this->sucesso = $sucesso;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\EditaClienteJSONResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
